//CLIENT

onEvent('jei.hide.items', event => {
	
	event.hide('farmersdelight:wheat_dough')
	event.hide('moreminecarts:silica_steel_mix')
	event.hide('quark:backpack')
	event.hide('@excavated_variants')
	event.hide('twilightforest:uncrafting_table')
	event.hide('copperized:copper_nugget')
	event.hide( Item.of('patchouli:guide_book', '{"patchouli:book":"twilightforest:guide"}') )
	event.hide('etherium:loot_generator')
	event.hide('berry_good:music_disc_fox')
	event.hide('supplementaries:rope')
	
})

onEvent('jei.information', event => {
	
	// Minecraft
	event.add('minecraft:chest', ['If needed, can be acquired by the standard recipe, mixing two or more types of wood.'])
	event.add('minecraft:rotten_flesh', ['Can be used to turn a Skeleton Horse into a Zombie Horse, by feeding it an entire stack.'])

	// Backpack
	event.add('backpacked:backpack', ['When wearing this, you\'ll have 27 more inventory slots. You can even unlock new models and enchant it! Press B (by default) when it is equipped to open it.'])
	event.add('quark:ravager_hide', ['This drops from Ravagers. Call in a raid to get them over.'])

	// End Remastered
	event.add('endrem:black_eye', ['Found in Buried Chests'])
	event.add('endrem:cold_eye', ['Found in Igloos'])
	event.add('endrem:corrupted_eye', ['Found in Pillager Outposts'])
	event.add('endrem:lost_eye', ['Found in Mineshafts'])
	event.add('endrem:nether_eye', ['Found in Nether Fortresses'])
	event.add('endrem:old_eye', ['Found in Desert Pyramids'])
	event.add('endrem:rogue_eye', ['Found in Jungle Pyramids'])
	event.add('endrem:cursed_eye', ['Found in Bastions treasure chest'])
	event.add('endrem:evil_eye', ['Buy it from a master cleric'])
	event.add('endrem:guardian_eye', ['Get it by Killing Elder Guardian'])
	event.add('endrem:magical_eye', ['Dropped by Evokers'])
	event.add('endrem:wither_eye', ['Dropped by The Wither'])
	event.add('endrem:witch_pupil', ['Obtained from killing Witches'])
	event.add('endrem:undead_soul', ['Obtained from killing Skeleton Horses'])

	// Runes
	let d = "Runes can be applied to an enchanted item in an Anvil to change the color of the glow.";
	event.add('quark:black_rune', [d])
	event.add('quark:blue_rune', [d])
	event.add('quark:brown_rune', [d])
	event.add('quark:cyan_rune', [d])
	event.add('quark:gray_rune', [d])
	event.add('quark:green_rune', [d])
	event.add('quark:light_blue_rune', [d])
	event.add('quark:light_gray_rune', [d])
	event.add('quark:lime_rune', [d])
	event.add('quark:magenta_rune', [d])
	event.add('quark:orange_rune', [d])
	event.add('quark:pink_rune', [d])
	event.add('quark:purple_rune', [d])
	event.add('quark:rainbow_rune', [d])
	event.add('quark:red_rune', [d])
	event.add('quark:white_rune', [d])
	event.add('quark:yellow_rune', [d])

	event.add('quark:blank_rune', ['Can be found in select loot chests. Can be crafted into a colored rune of any color. Will also work like a colored rune, removing any glow on an enchanted item.'])

	// Ingot Info
	d = "Metal processing has been nerfed. Check nugget recipes to see how to obtain."
	event.add('minecraft:iron_ingot', [d])
	event.add('minecraft:copper_ingot', [d])
	event.add('minecraft:gold_ingot', [d])
	event.add('create:zinc_ingot', [d])

	// Cave Crystals
	d = "This can be found randomly underground. They can grow if placed deep underground, look for the semi-transparent swirly particles.";
	event.add('quark:black_corundum', [d])
	event.add('quark:blue_corundum', [d])
	event.add('quark:green_corundum', [d])
	event.add('quark:indigo_corundum', [d])
	event.add('quark:orange_corundum', [d])
	event.add('quark:red_corundum', [d])
	event.add('quark:violet_corundum', [d])
	event.add('quark:white_corundum', [d])
	event.add('quark:yellow_corundum', [d])

	d = "This can be found randomly underground and can be grown via normal Corundum. Can redirect beacon beams, provided the last one faces upwards, and can also be moved via pistons alongside adjacent Corundum blocks of the same color.";
	event.add('quark:black_corundum_cluster', [d])
	event.add('quark:blue_corundum_cluster', [d])
	event.add('quark:green_corundum_cluster', [d])
	event.add('quark:indigo_corundum_cluster', [d])
	event.add('quark:orange_corundum_cluster', [d])
	event.add('quark:red_corundum_cluster', [d])
	event.add('quark:violet_corundum_cluster', [d])
	event.add('quark:white_corundum_cluster', [d])
	event.add('quark:yellow_corundum_cluster', [d])

	d = "Waxed Cornudum variants do not emit particles or grow, but share all other properties.";
	event.add('quark:waxed_black_corundum', [d])
	event.add('quark:waxed_blue_corundum', [d])
	event.add('quark:waxed_green_corundum', [d])
	event.add('quark:waxed_indigo_corundum', [d])
	event.add('quark:waxed_orange_corundum', [d])
	event.add('quark:waxed_red_corundum', [d])
	event.add('quark:waxed_violet_corundum', [d])
	event.add('quark:waxed_white_corundum', [d])
	event.add('quark:waxed_yellow_corundum', [d])

	d = "Can be found in the rare Glimmering Weald biome deep underground. Stonelings are sometimes found carrying maps to this biome.";
	event.add('quark:glow_shroom', [d])
	event.add('quark:glow_lichen_growth', [d])
	event.add('quark:glow_shroom_block', [d])
	event.add('quark:glow_shroom_stem', [d])
	event.add('quark:glow_shroom_ring', [d])

	d = "Parrots can lay eggs if given multiple Beetroot Seeds. Parrot Eggs will always hatch successfully.";
	event.add('quark:egg_parrot_red_blue', [d])
	event.add('quark:egg_parrot_blue', [d])
	event.add('quark:egg_parrot_green', [d])
	event.add('quark:egg_parrot_yellow_blue', [d])
	event.add('quark:egg_parrot_grey', [d])

	// Savage & Ravage
	event.add('savage_and_ravage:creeper_spores', ['Drops when a Creeper blows another Creeper up. Try throwing it to make friends!'])

	// Farmers Delight Materials
	event.add('farmersdelight:ham', ['Dropped when hitting a Pig or Hoglin with a knife.'])

	d = "Wild patches spawn in Beaches.";
	event.add('farmersdelight:cabbage', [d])
	event.add('minecraft:beetroot', [d])

	d = "Wild patches spawn in Cold Climates.";
	event.add('minecraft:potato', [d])

	d = "Wild patches spawn in Temperate Climates.";
	event.add('farmersdelight:onion', [d])
	event.add('minecraft:carrot', [d])

	d = "Wild patches spawn in Arid Climates.";
	event.add('farmersdelight:tomato', [d])

	d = "Wild patches spawn in Swamps and Jungles.";
	event.add('farmersdelight:rice_panicle', [d])

	// Other Farmers Delight Things
	event.add('farmersdelight:basket', ['Can store items like a chest. Automatically picks up anything that falls in it.'])
	event.add('farmersdelight:cooking_pot', ['Put over a heat source such as fire or a stove to start cooking.'])
	event.add('farmersdelight:stove', ['Serves as heat source for a Cooking Pot.'])
	event.add('farmersdelight:cutting_board', ['Right click with an item and a knife to cut it.'])
	event.add('farmersdelight:rich_soil', ['Can be used to plant crops. Crops planted in this will grow faster, as if bone mealed every now and then. Can be tilled into Rich Farmland, which doesn\'t get trampled.'])
	event.add('farmersdelight:brown_mushroom_colony', ['Can be gotten by planting Brown Mushrooms on Rich Soil under sufficient darkness.'])
	event.add('farmersdelight:red_mushroom_colony', ['Can be gotten by planting Red Mushrooms on Rich Soil under sufficient darkness.'])
	event.add('farmersdelight:skillet', ['Can be placed down or used to cook in a handheld fashion if near a heat source. Also packs a punch as a heavyweight melee weapon.'])
	event.add('farmersdelight:rope', ['Can be dropped down via right click and climbed up or down.'])

	// Quark Tweaks
	event.add('minecraft:poisonous_potato', ['Feeding this to a baby animal may poison it and prevent it from growing.'])
	event.add('minecraft:shulker_shell', ['Endermites can burrow into Purpur blocks, creating new Shulkers.'])

	// Quark Items
	d = "Spawns in the Outer End. Teleports when touched, if touched a mob, can spawn endermites or spread.";
	event.add('quark:chorus_twist', [d])
	event.add('quark:chorus_weeds', [d])

	d = "Drops from Crabs, which spawn in beaches. Breed them with Wheat, Chicken, or any type of Fish.";
	event.add('quark:crab_leg', [d])
	event.add('quark:crab_shell', [d])

	d = "Item frame without a background. Can be right clicked through onto chests, placed onto signs, or serve as wallpaper with banners. Can also update Maps in real time.";
	event.add('quark:glass_item_frame', [d])
	event.add('quark:glowing_glass_item_frame', [d])

	event.add('quark:bottled_cloud', ['Right click an empty bottle at cloud level to get this. Can place a temporary block in midair.'])

	event.add('quark:diamond_heart', ['Drops from stonelings sometimes, find them rarely underground and sneak with a Glow Shroom in hand to not scare them.'])
	event.add('quark:dragon_scale', ['Drops from enderdragons summoned by a player. Can be used to duplicate Elytras.'])
	event.add('quark:soul_bead', ['Drops from wraiths, in the Soul Sand Valley. When right clicked, will fly towards the nearest Nether Fortress.'])
	event.add('quark:forgotten_hat', ['Drops from Forgotten skeletons, deep underground.'])
	event.add('quark:slime_in_a_bucket', ['Right click a tiny slime to capture it. It gets excited when you\'re in a slime chunk!'])
	event.add('quark:glow_shroom', ['Can be held while sneaking up on Stoneling to keep it from vanishing when you get close.'])

	// Alex's Mobs
	event.add('alexsmobs:crocodile_scute', ['Sourced from Crocodiles, which spawn in Rivers and Swamps. Crocodiles may kill you. Consult an Animal Dictionary for more information.'])
	event.add('alexsmobs:animal_dictionary', ['Contains information on Alex\'s Mobs.'])
	event.add('alexsmobs:mimicream', ['Drops from Mimicubes near end cities. Consult an Animal Dictionary for more information.'])
	event.add('alexsmobs:pocket_sand', ['Can be used as a longrange weapon, if you\'re so inclined.'])
	event.add('alexsmobs:gustmaker', ['When given a redstone signal, sends a sand tornado in the direction it\'s facing.'])
	event.add('alexsmobs:fedora', ['Do bee do bee doo ba doo'])
	event.add('alexsmobs:capsid', ['Can drop from Enderiophages and used to transport items. Consult an Animal Dictionary for more information.'])

	// Unique Functional Items
	event.add('quark:ender_watcher', ['Emits a redstone signal when looked at by a player. The closer to the middle, the higher the signal.'])
	event.add('quark:feeding_trough', ['Animals can eat and breed from this. If there\'s over 32 animals in a 10 block radius, they won\'t breed though!'])
	event.add('quark:gold_button', ['Emits a 2 redstone tick long pulse.'])
	event.add('quark:grate', ['Animals can\'t walk through this, and items fall right through.'])
	event.add('quark:gravisand', ['When given a redstone signal, falls or floats upwards if it can\'t, also propagates this behavior. Outputs a comparator signal of 15.'])
	event.add('quark:iron_button', ['Emits a 5 second long pulse.'])
	event.add('quark:magnet', ['Can push or pull metallic blocks when powered. When moved, stonecutters break the block above, and hoppers drop the item in front, or plant, if it\'s a seed.'])
	event.add('quark:myalite_crystal', ['Can be found in Spiral Pillars in the outer end. If placed in a line, can redirect any enderman or ender pearl teleportations between the two ends.'])
	event.add('quark:dusky_myalite', ['Can be found in Spiral Pillars in the outer end.'])
	event.add('quark:pipe', ['Put items in with a hopper. Items prefer to flow downwards, then forwards, sideways, and lastly upwards. Disable specific pipes with a redstone signal. Items can also fall out of and into open ends.'])
	event.add('quark:redstone_randomizer', ['Randomly repeats the input to the left or right.'])
	event.add('quark:seed_pouch', ['Can hold 10 stacks of anything plantable. Right click the item onto it to add. Can also place 1 or 3x3 if sneaking. Plantable items have a flowery tooltip for easy identification.'])
	event.add('quark:soul_compass', ['Points to where you last died.'])
	event.add('quark:trowel', ['Randomly places one block from your hotbar.'])
	event.add('quark:abacus', ['Right Click a block to set the source - from there, the Abacus will count the distance from the block you\'re looking at to that one, provided you\'re holding it.'])
	event.add('quark:crate', ['Can hold up to 640 items. Unlike Chests, the amount of slots expands based on the different items you put in, so it\'s good for holding a high variety of things.'])
	event.add('quark:charcoal_block', ['Burns forever, like Netherrack.'])
	event.add('quark:deepslate_furnace', ['This is purely a cosmetic variation of the Furnace, providing no functional benefit.'])
	event.add('quark:blackstone_furnace', ['This is purely a cosmetic variation of the Furnace, providing no functional benefit. If placed over Soul Sand, emits blue particles instead.'])
	event.add('quark:golden_apple_crate', ['Can be used as a Beacon base.'])
	event.add('quark:pickarang', ['Can be thrown to mine whatever block it lands on. Enchantments can change its performance.'])
	event.add('quark:flamerang', ['Works similarly to the Pickarang, but has built in flame and fire resistance.'])

	event.add('supplementaries:blackboard', ['You can draw in this.'])
	event.add('supplementaries:clock_block', ['Tells the time. Observers and comparators can interact with it.'])
	event.add('supplementaries:crank', ['Like a lever, but with 16 different states.'])
	event.add('supplementaries:faucet', ['When powered, pulls items or liquid from the block behind it. Can put liquids into Jars.'])
	event.add('supplementaries:flute', ['Summons any non-sitting pets around you when used. Can also right click a pet to bind it to said pet.'])
	event.add('supplementaries:hourglass', ['Fill it with sand or other dusts, outputs the remaining time with a comparator, and can be reset with a Turn Table.'])
	event.add('supplementaries:jar', ['Can store many liquids, potion, stew, cookies, fish, or tiny slimes.'])
	event.add('supplementaries:notice_board', ['Can display maps, or the first page of a written book.'])
	event.add('supplementaries:pedestal', ['Can display items, including their names. Can also be stacked vertically for decor.'])
	event.add('supplementaries:spring_launcher', ['Pushes entities, like the original piston mod! You can also jump on it while it\'s extended.'])
	event.add('supplementaries:planter', ['Can grow crops just like irrigated farmland.'])
	event.add('supplementaries:planter_rich', ['Can grow crops just like irrigated farmland, but with the faster speed of rich soil.'])
	event.add('supplementaries:redstone_illuminator', ['Outputs a lower light level the higher the redstone signal its given.'])
	event.add('supplementaries:sack', ['Can store items, you can take it with you like a shulker box. If you try to carry multiple, it\'ll slow you down.'])
	event.add('supplementaries:turn_table', ['While powered, keeps rotating whatever block is attached to it. Also rotates entities on top. Right click to invert the rotation.'])
	event.add('supplementaries:wind_vane', ['Outputs a redstone signal when raining.'])
	event.add('supplementaries:bamboo_spikes', ['Can be placed in any direction. Damages entities that pass through them and deals extra fall damage. Can be tipped with potions.'])
	event.add('supplementaries:bamboo_spikes_tipped', ['Can be placed in any direction. Damages entities that pass through them, deals extra fall damage, and inflicts the potion effect.'])
	event.add('supplementaries:bellows', ['When powered fans fires and furnaces to keep them burning longer or faster. Can also push items with the wind.'])
	event.add('supplementaries:key', ['Can be used to lock Lock Blocks, Safes, Netherite Doors, and Netherite Trapdoors. Name it in an anvil before usage.'])
	event.add('supplementaries:rope_arrow', ['Places down ropes wherever it lands so you can climb up.'])
	event.add('supplementaries:pulley_block', ['Can be given ropes or chains. When rotated with a Turn Table, can drop or pull said ropes or chains back up.'])
	event.add('supplementaries:bomb', ['Can be thrown, explodes on contact for explosive damage without breaking blocks.'])
	event.add('supplementaries:raked_gravel', ['Can be gotten by using a Hoe on Gravel. Doing it from different directions creates unique patterns.'])
	event.add('supplementaries:flower_box', ['Can be placed on the floor or the side of a block. Holds up to 3 flowers.'])
	event.add('supplementaries:slingshot', ['When used, fires the first block in your hotbar as a projectile. Try using it to throw torches!'])
	event.add('supplementaries:wrench', ['Can be used to rotate any directional facing block.'])
	event.add('supplementaries:bomb_spiky', ['Handheld version of the Shrapnel Bomb.'])
	event.add('supplementaries:cage', ['Can be used to carry small animals such as chickens.'])
	event.add('supplementaries:globe', ['Acquirable from the Wandering Trader or shipwrecks.'])
	event.add('supplementaries:item_shelf', ['Can hold an item in it for display.'])
	event.add('supplementaries:doormat', ['Can have text written on it, and one item hidden under it.'])
	event.add('supplementaries:urn', ['Sometimes found underground, carrying loot, and breakable by a sword. If player made, can have an item put inside.'])
	event.add('supplementaries:cog_block', ['Works just as redstone dust, up to 14 blocks away, but can be stacked vertically.'])
	event.add('supplementaries:bomb_blue', ['Just like a Bomb, but stronger and with a slight delay to explosion. Can only be found in structure chests.'])
	event.add('supplementaries:bubble_blower', ['Used to blow bubbles at your friends for fun. If enchanted with Stasis, can place Soap Bubble blocks.'])
	event.add('supplementaries:antique_ink', ['Can be used to make Signs, Maps, or Globes have a fancy antique look. Can be found in Urns or as treasure when fishing.'])

	d = "Works like a normal wooden one when unpowered. When powered, ignores interactions.";
	event.add('supplementaries:gold_door', [d])
	event.add('supplementaries:gold_trapdoor', [d])

	d = "Can be locked with Keys. If locked, only players with the appropriately named key can open it.";
	event.add('supplementaries:safe', [d])
	event.add('supplementaries:netherite_door', [d])
	event.add('supplementaries:netherite_trapdoor', [d])
	event.add('supplementaries:lock_block', [d])

	d = "Can hold one item, as well as a small message to give to a friend.";
	event.add('supplementaries:present', [d])
	event.add('supplementaries:present_white', [d])
	event.add('supplementaries:present_orange', [d])
	event.add('supplementaries:present_magenta', [d])
	event.add('supplementaries:present_light_blue', [d])
	event.add('supplementaries:present_yellow', [d])
	event.add('supplementaries:present_lime', [d])
	event.add('supplementaries:present_pink', [d])
	event.add('supplementaries:present_gray', [d])
	event.add('supplementaries:present_light_gray', [d])
	event.add('supplementaries:present_cyan', [d])
	event.add('supplementaries:present_purple', [d])
	event.add('supplementaries:present_blue', [d])
	event.add('supplementaries:present_brown', [d])
	event.add('supplementaries:present_green', [d])
	event.add('supplementaries:present_red', [d])
	event.add('supplementaries:present_black', [d])

	d = "Can be placed and then have other blocks placed inside it, allowing for a combination texture.";
	event.add('supplementaries:timber_frame', [d])
	event.add('supplementaries:timber_brace', [d])
	event.add('supplementaries:timber_cross_brace', [d])

	d = "Flax can spawn on sand next to water on hot biomes, like beaches or deserts.";
	event.add('supplementaries:wild_flax', [d])
	event.add('supplementaries:flax', [d])
	event.add('supplementaries:flax_seeds', [d])

	d = "Resets your insomnia count, preventing Phantoms from spawning.";
	event.add('farmersrespite:black_tea', [d])
	event.add('farmersrespite:coffee', [d])

	d = "Can be found in Swamps and grown on Dirt or Farmland. Leaves can be harvested with Shears.";
	event.add('farmersrespite:tea_seeds', [d])
	event.add('farmersrespite:wild_tea_bush', [d])

	d = "Can be grown from Tea Bushes, planted with Tea Seeds. Leaving the bushes growing for longer will change what type of leaves you get.";
	event.add('farmersrespite:green_tea_leaves', [d])
	event.add('farmersrespite:yellow_tea_leaves', [d])
	event.add('farmersrespite:black_tea_leaves', [d])

	event.add('farmersrespite:kettle', ['Can be used to brew Coffee and Tea.'])
	event.add('farmersrespite:coffee_berries', ['Can be found in Basalt Deltas. Can not be directly planted, but you can plant Coffee Beans instead.'])
	event.add('farmersrespite:coffee_beans', ['Can be found in Basalt Deltas and planted on Basalt and Magma. Once grown, harvest the branches with Shears. Normally, it can only grow in the Nether, but it can be made to grow in the Overworld by having an adjacent normal crop, which is consumed.'])

	event.add('moyai:moyai', ['Can be found in Mushroom Fields, and rarely in Beaches. Can fall and deal contact damage just like an Anvil. Also goes well with Note Blocks.'])
	event.add('advancementframes:advancement_frame', ['Allows you to display one of your Advancements on the wall, floor, or ceiling.'])

	event.add('minecraft:compass', ['Compasses work in the Nether and End, pointing you to the return portal.'])

	d = "Can be used to skip the night wherever you are, without setting your respawn point.";
	event.add('comforts:sleeping_bag_white', [d])
	event.add('comforts:sleeping_bag_orange', [d])
	event.add('comforts:sleeping_bag_magenta', [d])
	event.add('comforts:sleeping_bag_light_blue', [d])
	event.add('comforts:sleeping_bag_yellow', [d])
	event.add('comforts:sleeping_bag_lime', [d])
	event.add('comforts:sleeping_bag_pink', [d])
	event.add('comforts:sleeping_bag_gray', [d])
	event.add('comforts:sleeping_bag_light_gray', [d])
	event.add('comforts:sleeping_bag_cyan', [d])
	event.add('comforts:sleeping_bag_purple', [d])
	event.add('comforts:sleeping_bag_blue', [d])
	event.add('comforts:sleeping_bag_brown', [d])
	event.add('comforts:sleeping_bag_green', [d])
	event.add('comforts:sleeping_bag_red', [d])
	event.add('comforts:sleeping_bag_black', [d])

	d = "Can be used to skip the day when placed down. Setting up a Hammock requires two blocks of Rope and Nail set four blocks apart on the same height, facing eachother.";
	event.add('comforts:hammock_white', [d])
	event.add('comforts:hammock_magenta', [d])
	event.add('comforts:hammock_light_blue', [d])
	event.add('comforts:hammock_yellow', [d])
	event.add('comforts:hammock_lime', [d])
	event.add('comforts:hammock_pink', [d])
	event.add('comforts:hammock_gray', [d])
	event.add('comforts:hammock_light_gray', [d])
	event.add('comforts:hammock_cyan', [d])
	event.add('comforts:hammock_purple', [d])
	event.add('comforts:hammock_blue', [d])
	event.add('comforts:hammock_brown', [d])
	event.add('comforts:hammock_green', [d])
	event.add('comforts:hammock_red', [d])
	event.add('comforts:hammock_black', [d])

	event.add('comforts:rope_and_nail', ['Can be used to prop up Hammocks.'])

	// Music Discs
	event.add('minecraft:music_disc_13', ['Dropped by creepers killed by a skeleton. Generates in Dungeon, Ancient City, and Woodland Mansion chests.'])
	event.add('minecraft:music_disc_cat', ['Dropped by creepers killed by a skeleton. Generates in Dungeon, Ancient City, and Woodland Mansion chests.'])
	event.add('minecraft:music_disc_blocks', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_chirp', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_far', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_mall', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_mellohi', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_stal', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_strad', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_ward', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_11', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_wait', ['Dropped by creepers killed by a skeleton.'])
	event.add('minecraft:music_disc_otherside', ['Generates in Dungeon, Ancient City, and Stronghold chests.'])
	event.add('minecraft:music_disc_pigstep', ['Generates in Bastion chests.'])
	// event.add('minecraft:disc_fragment_5', ['Generates in Ancient City chests.'])
	event.add('alexsmobs:music_disc_thime', ['Can be acquired from bartering with Seals. Consult an Animal Dictionary for more information.'])
	event.add('alexsmobs:music_disc_daze', ['Can be acquired by placing any Music Disc inside a Capsid.'])
	event.add('anchor:music_disc_fox', ['Dropped by creepers killed by a skeleton.'])
	event.add('anchor:music_disc_hullabaloo', ['Dropped by creepers killed by a skeleton.'])
	event.add('anchor:music_disc_epilogue', ['Generates in Dungeon and Stronghold chests.'])
	event.add('anchor:music_disc_kilobyte', ['Generates in End City chests.'])
	event.add('anchor:music_disc_warp', ['Generates in Nether Fortress chests.'])
	event.add('anchor:music_disc_capybara', ['Dropped by creepers killed by a skeleton.'])
	event.add('anchor:music_disc_star', ['Generates in End City chests.'])
	event.add('anchor:music_disc_fragment', ['Generates in Stronghold chests and dropped by Charge Creepers killed by a skeleton.'])
	event.add('snowyspirit:winter_disc', ['Can be found in presents and igloo sled chests.'])
	event.add('quark:music_disc_endermosh', ['Generates in End City chests.'])
	event.add('twilightforest:music_disc_radiance', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_steps', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_superstitious', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_home', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_wayfarer', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_findings', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_maker', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_thread', ['Found in Twilight Forest loot chests.'])
	event.add('twilightforest:music_disc_motion', ['Found in Twilight Forest loot chests.'])

})


onEvent('jei.remove.categories', event => {

	//hide uncrafting recipes in JEI
	event.remove('twilightforest:uncrafting')

})


onEvent('item.tooltip', tooltip => {

	//enchanted golden apple tooltip
	tooltip.add('minecraft:enchanted_golden_apple', Text.gray('Restores maximum health back to 10 hearts.'))

	//item disabled tooltip
	tooltip.add('alexsmobs:tarantula_hawk_elytra', Text.red('This item is disabled due to mod conflicts.'))
	tooltip.add('create:redstone_link', Text.red('Temporarily disabled.'))
	tooltip.add('naturescompass:naturescompass', Text.red('Temporarily disabled.'))
	tooltip.add('magicfeather:magicfeather', Text.red('Temporarily disabled.'))
	tooltip.add('etherium:etherium_ingot', Text.red('Temporarily disabled.'))
	
})


// onEvent('jei.subtypes', event => {
	
// })

// onEvent('jei.hide.fluids', event => {

// })

// onEvent('jei.add.items', event => {
	
// })
